Bug 7147 - Net-Vampire windows 2003 sp2
Net-Vampire windows 2003 sp2
Status: RESOLVED FIXED
Product: Samba 4.0
Classification: Unclassified
Component: AD: LDB/DSDB/SAMDB
unspecified
x86 Linux
: P3 normal
: ---
Assigned To: Andrew Bartlett
samba4-qa@samba.org
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-02-17 18:03 UTC by Mohammad Nazeem Durgahee
Modified: 2010-09-11 12:40 UTC (History)
1 user (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Mohammad Nazeem Durgahee 2010-02-17 18:03:03 UTC
scripting/devel/drs/revampire_ad.sh
++ dirname scripting/devel/drs/revampire_ad.sh
+ . scripting/devel/drs/vars
++ DNSDOMAIN=samba4.local
++ PREFIX=/usr/local/samba
++ export PYTHONPATH=:/usr/local/samba/lib/python2.6/site-packages
++ PYTHONPATH=:/usr/local/samba/lib/python2.6/site-packages
++ pass=Qwerty786
++ machine=blu3
++ machine_ip=192.168.1.3
++ workgroup=samba4
++ dn=DC=Samba4,DC=local
++ server=blu2
++ server_ip=192.168.1.4
++ dirname scripting/devel/drs/revampire_ad.sh
+ scripting/devel/drs/vampire_ad.sh
++ dirname scripting/devel/drs/vampire_ad.sh
+ . scripting/devel/drs/vars
++ DNSDOMAIN=samba4.local
++ PREFIX=/usr/local/samba
++ export PYTHONPATH=:/usr/local/samba/lib/python2.6/site-packages:/usr/local/samba/lib/python2.6/site-packages
++ PYTHONPATH=:/usr/local/samba/lib/python2.6/site-packages:/usr/local/samba/lib/python2.6/site-packages
++ pass=Qwerty786
++ machine=blu3
++ machine_ip=192.168.1.3
++ workgroup=samba4
++ dn=DC=Samba4,DC=local
++ server=blu2
++ server_ip=192.168.1.4
++ mktemp named.conf.ad.XXXXXXXXX
+ namedtmp=named.conf.ad.4Cm7xdC7K
++ dirname scripting/devel/drs/vampire_ad.sh
+ cp scripting/devel/drs/named.conf.ad.template named.conf.ad.4Cm7xdC7K
+ sed -i s/DNSDOMAIN/samba4.local/g named.conf.ad.4Cm7xdC7K
+ sed -i s/SERVERIP/192.168.1.4/g named.conf.ad.4Cm7xdC7K
+ chmod a+r named.conf.ad.4Cm7xdC7K
+ mv -f named.conf.ad.4Cm7xdC7K /usr/local/samba/private/named.conf
+ sudo rndc reconfig
++ dirname scripting/devel/drs/vampire_ad.sh
+ scripting/devel/drs/unvampire_ad.sh
++ dirname scripting/devel/drs/unvampire_ad.sh
+ . scripting/devel/drs/vars
++ DNSDOMAIN=samba4.local
++ PREFIX=/usr/local/samba
++ export PYTHONPATH=:/usr/local/samba/lib/python2.6/site-packages:/usr/local/samba/lib/python2.6/site-packages:/usr/local/samba/lib/python2.6/site-packages
++ PYTHONPATH=:/usr/local/samba/lib/python2.6/site-packages:/usr/local/samba/lib/python2.6/site-packages:/usr/local/samba/lib/python2.6/site-packages
++ pass=Qwerty786
++ machine=blu3
++ machine_ip=192.168.1.3
++ workgroup=samba4
++ dn=DC=Samba4,DC=local
++ server=blu2
++ server_ip=192.168.1.4
+ bin/ldbdel -r -H ldap://blu2.samba4.local -Usamba4/administrator%Qwerty786 CN=blu3,CN=Computers,DC=Samba4,DC=local
Deleted 1 records
+ bin/ldbdel -r -H ldap://blu2.samba4.local -Usamba4/administrator%Qwerty786 'CN=blu3,OU=Domain Controllers,DC=Samba4,DC=local'
delete of 'CN=blu3,OU=Domain Controllers,DC=Samba4,DC=local' failed - (Unknown error) LDAP error 32 LDAP_NO_SUCH_OBJECT - OU=Domain Controllers,DC=samba4,DC=local <0000208D: NameErr: DSID-031001CD, problem 2001 (NO_OBJECT), data 0, best match of:
	'OU=Domain Controllers,DC=samba4,DC=local'
> <>
+ bin/ldbdel -r -H ldap://blu2.samba4.local -Usamba4/administrator%Qwerty786 CN=blu3,CN=Servers,CN=Default-First-Site-Name,CN=Sites,CN=Configuration,DC=Samba4,DC=local
delete of 'CN=blu3,CN=Servers,CN=Default-First-Site-Name,CN=Sites,CN=Configuration,DC=Samba4,DC=local' failed - (Unknown error) LDAP error 32 LDAP_NO_SUCH_OBJECT - CN=Servers,CN=Default-First-Site-Name,CN=Sites,CN=Configuration,DC=samba4,DC=local <0000208D: NameErr: DSID-031001CD, problem 2001 (NO_OBJECT), data 0, best match of:
	'CN=Servers,CN=Default-First-Site-Name,CN=Sites,CN=Configuration,DC=samba4,DC=local'
> <>
+ rm -f '/usr/local/samba/private/*.ldb'
++ echo samba4.local
++ tr '[a-z]' '[A-Z]'
+ REALM=SAMBA4.LOCAL
+ sudo bin/net vampire samba4.local -Uadministrator%Qwerty786 -s /usr/local/samba/etc/smb.conf --option=realm=SAMBA4.LOCAL '--option=ads:dc function level=4' '--option=ads:min function level=0' -d2
added interface ip=192.168.1.3 nmask=255.255.255.0
added interface ip=192.168.1.3 nmask=255.255.255.0
Mapped to DCERPC endpoint \pipe\lsarpc
added interface ip=192.168.1.3 nmask=255.255.255.0
added interface ip=192.168.1.3 nmask=255.255.255.0
kinit for administrator@SAMBA4.LOCAL failed (Cannot contact any KDC for requested realm: unable to reach any KDC in realm SAMBA4.LOCAL)
Failed to get CCACHE for GSSAPI client: Cannot contact any KDC for requested realm
Failed to start GENSEC client mech gssapi_krb5: NT_STATUS_INVALID_PARAMETER
Mapped to DCERPC endpoint 135
added interface ip=192.168.1.3 nmask=255.255.255.0
added interface ip=192.168.1.3 nmask=255.255.255.0
Mapped to DCERPC endpoint 1026
added interface ip=192.168.1.3 nmask=255.255.255.0
added interface ip=192.168.1.3 nmask=255.255.255.0
kinit for administrator@SAMBA4.LOCAL failed (Cannot contact any KDC for requested realm: unable to reach any KDC in realm SAMBA4.LOCAL)
Failed to get CCACHE for GSSAPI client: Cannot contact any KDC for requested realm
Failed to start GENSEC client mech gssapi_krb5: NT_STATUS_INVALID_PARAMETER
added interface ip=192.168.1.3 nmask=255.255.255.0
added interface ip=192.168.1.3 nmask=255.255.255.0
kinit for administrator@SAMBA4.LOCAL failed (Cannot contact any KDC for requested realm: unable to reach any KDC in realm SAMBA4.LOCAL)
Failed to get CCACHE for GSSAPI client: Cannot contact any KDC for requested realm
Failed to start GENSEC client mech gssapi_krb5: NT_STATUS_INVALID_PARAMETER
added interface ip=192.168.1.3 nmask=255.255.255.0
added interface ip=192.168.1.3 nmask=255.255.255.0
kinit for administrator@SAMBA4.LOCAL failed (Cannot contact any KDC for requested realm: unable to reach any KDC in realm SAMBA4.LOCAL)
Failed to get CCACHE for GSSAPI client: Cannot contact any KDC for requested realm
Failed to start GENSEC client mech gssapi_krb5: NT_STATUS_INVALID_PARAMETER
Become DC [(null)] of Domain[SAMBA4]/[samba4.local]
Promotion Partner is Server[blu2.samba4.local] from Site[Default-First-Site-Name]
Options:crossRef behavior_version[2]
	schema object_version[30]
	domain behavior_version[2]
	domain w2k3_update_revision[8]
Mapped to DCERPC endpoint 135
added interface ip=192.168.1.3 nmask=255.255.255.0
added interface ip=192.168.1.3 nmask=255.255.255.0
Mapped to DCERPC endpoint 1026
added interface ip=192.168.1.3 nmask=255.255.255.0
added interface ip=192.168.1.3 nmask=255.255.255.0
kinit for administrator@SAMBA4.LOCAL failed (Cannot contact any KDC for requested realm: unable to reach any KDC in realm SAMBA4.LOCAL)
Failed to get CCACHE for GSSAPI client: Cannot contact any KDC for requested realm
Failed to start GENSEC client mech gssapi_krb5: NT_STATUS_INVALID_PARAMETER
Failed to start GENSEC client mechanism gssapi_krb5: NT_STATUS_INVALID_PARAMETER
Failed to bind to uuid e3514235-4b06-11d1-ab04-00c04fc2dcd2 - NT_STATUS_INVALID_PARAMETER
libnet_BecomeDC() failed - NT_STATUS_INVALID_PARAMETER
Vampire of domain failed: NT_STATUS_INVALID_PARAMETER
return code = -1
+ exit 1
+ exit 1
AS you can see cannot access kdc in Windows 2003 any idea why
Comment 1 Andrew Bartlett 2010-02-17 18:21:10 UTC
Is your krb5.conf set up correctly?  See the example krb5.conf in our private directory.

In particular, ensure

[libdefaults]
 dns_lookup_realm = true
 dns_lookup_kdc = true

is set.
Comment 2 Mohammad Nazeem Durgahee 2010-02-18 05:51:09 UTC
Sorted the krb.conf and vampire went find now having problem with dns.
Vampired domain WIN2003 (S-1-5-21-2205700206-3337318931-2264426818)
+ PRIVATEDIR=/usr/local/samba/private
+ sudo -E scripting/bin/setup_dns.sh blu3 Win2003.blu2.samba4.local 192.168.1.3
Found objectGUID  8be291c9-0654-435a-b388-5f1b03d2c514
Running kinit for BLU3$@WIN2003.BLU2.SAMBA4.LOCAL
Adding BLU3.WIN2003.BLU2.SAMBA4.LOCAL
Can't locate Net/DNS.pm in @INC (@INC contains: GSSAPI /etc/perl /usr/local/lib/perl/5.10.0 /usr/local/share/perl/5.10.0 /usr/lib/perl5 /usr/share/perl5 /usr/lib/perl/5.10 /usr/share/perl/5.10 /usr/local/lib/site_perl .) at scripting/bin/nsupdate-gss line 15.
BEGIN failed--compilation aborted at scripting/bin/nsupdate-gss line 15.
Failed to add A record
+ exit 1
+ exit 1
Comment 3 Andrew Bartlett 2010-02-18 15:35:56 UTC
We will shortly be replacing the perl script (for which you are missing dependencies) with calls to nsupdate -g from inside the Samba server.  This will avoid the need to run this part of the script, and avoid these issues. 
Comment 4 Michael Wood 2010-06-22 12:33:09 UTC
(In reply to comment #3)
> We will shortly be replacing the perl script (for which you are missing
> dependencies) with calls to nsupdate -g from inside the Samba server.  This
> will avoid the need to run this part of the script, and avoid these issues. 

Shouldn't this bug be closed now?
Comment 5 Matthias Dieter Wallnöfer 2010-09-11 12:40:15 UTC
Well, I close it until I hear again from you.